
import random
from allennlp.predictors.predictor import Predictor
from allennlp.models.model import Model

def generate_random_prediction(input_text):
    """
    Generates a random prediction using an Allennlp model and predictor.
    """
    # List of available models and predictors
    models = ['bert-base-uncased', 'text-classification', 'simple-tagger']
    predictors = ['text-classification', 'simple-tagger']
    
    # Randomly select a model and predictor
    selected_model = random.choice(models)
    selected_predictor = random.choice(predictors)
    
    # Create a predictor instance
    predictor = Predictor.from_path(selected_model)
    
    # Generate prediction
    prediction = predictor.predict(sentence=input_text)
    
    return prediction



